
<main>
  <div class="container">
    <h3 class="page-title">Lista de Produtos</h3>
    <section class="products" *ngFor="let item of items">
      <div class="product" (click)="goToProduct(item.id)">
        <span class="product-image">
          <img src="{{item.pictureUrl}}" alt="" srcset="">
        </span>
        <div class="product-info">
          <h3 class="product-title">
            {{item.name}}
          </h3>
          <span class="product-description">
            <p>{{item.description}}</p>
          </span>
          <span class="product-price">
            {{item.price | currency: 'BRL'}}
          </span>
          <span class="product-action">
              <button mat-flat-button color="primary" >Ver Detalhes <mat-icon>arrow_forward</mat-icon></button>
          </span>
        </div>
      </div>
    </section>
  </div>
</main>
